#pragma once

#include "Widget.h"

class ButtonGroup : public Widget
{
public:

    enum class Orientation
    {
        HORIZONTAL,
        VERTICAL
    };

    ButtonGroup();

    ~ButtonGroup();

    static std::unique_ptr<ButtonGroup> Create();

private:
    bool mExclusiveActivation{true};
};
